<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\ImageColumn;

class CoverImageColumn extends ImageColumn
{
    public static function create(): static
    {
        return parent::make('cover')
            ->default('files/default_image.png')
            ->label('')
            ->circular()
            ->width(40)
            ->toggleable();
    }
}
